# TODO: package the vim syntax file.
Summary:	A tool for converting text files to various formats
Summary(pl.UTF-8):	Narzędzie do konwersji plików tekstowych do różnych formatów
Name:		asciidoc
Version:	8.6.10
Release:	1
License:	GPL v2+
Group:		Applications/System
#Source0Download: https://github.com/asciidoc/asciidoc/releases
Source0:	https://github.com/asciidoc/asciidoc/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	4e69960f4d431780e9828f53417d8d7a
URL:		http://asciidoc.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
Requires:	python >= 2.3
Requires:	python-modules >= 2.3
Requires:	xmlto
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		pkgconfdir	%{_sysconfdir}/asciidoc

%description
AsciiDoc is a text document format for writing short documents,
articles, books and UNIX man pages. AsciiDoc files can be translated
to HTML (with or without stylesheets), DocBook and LinuxDoc markup
using the asciidoc(1) command. AsciiDoc is highly configurable: both
the AsciiDoc source file syntax and the backend output markups (which
can be almost any type of SGML/XML markup) can be customized and
extended by the user.

%description -l pl.UTF-8
AsciiDoc jest formatem dokumentów tekstowych do pisania krótkich
dokumentów, artykułów, książek i podręczników systemu UNIX. Pliki
AsciiDoc mogą być tłumaczone do HTML-a (z lub bez CSS), DocBooka i
LinuxDoca używając polecenia asciidoc(1). AsciiDoc jest wysoce
konfigurowalny: zarówno składnia plików źródłowych, jak i znaczniki
backendów (które mogą być dowolnego typu SGML/XML) mogą być
dostosowywane i rozszerzane przez użytkownika.

%prep
%setup -q

%{__sed} -i -e '1s|^#!/usr/bin/env python2\?|#!%{__python}|' asciidoc.py a2x.py \
	filters/code/code-filter.py \
	filters/latex/latex2img.py \
	filters/music/music2png.py \
	filters/graphviz/graphviz2png.py

%build
%{__autoconf}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# install directly instead of symlinks to .py
%{__mv} $RPM_BUILD_ROOT%{_bindir}/a2x{.py,}
%{__mv} $RPM_BUILD_ROOT%{_bindir}/asciidoc{.py,}
# move constant data to /usr
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}
%{__mv} $RPM_BUILD_ROOT%{pkgconfdir}/{images,javascripts} $RPM_BUILD_ROOT%{_datadir}/%{name}
ln -sf %{_datadir}/%{name}/images $RPM_BUILD_ROOT%{pkgconfdir}/images
ln -sf %{_datadir}/%{name}/javascripts $RPM_BUILD_ROOT%{pkgconfdir}/javascripts

#    if [ -d $VIM_RPM_BUILD_ROOT%{sysconfdir} ]; then
#        install -d $VIM_RPM_BUILD_ROOT%{sysconfdir}/syntax
#        install -m 644 vim/syntax/asciidoc.vim \
#                       $VIM_RPM_BUILD_ROOT%{sysconfdir}/syntax/asciidoc.vim
#        install -d $VIM_RPM_BUILD_ROOT%{sysconfdir}/ftdetect
#        install -m 644 vim/ftdetect/asciidoc_filetype.vim \
#                       $VIM_RPM_BUILD_ROOT%{sysconfdir}/ftdetect/asciidoc_filetype.vim
#    fi
%{__rm} -r examples/website

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS.txt CHANGELOG.txt COPYRIGHT README.asciidoc doc/asciidoc.txt examples
%attr(755,root,root) %{_bindir}/a2x
%attr(755,root,root) %{_bindir}/asciidoc
%dir %{pkgconfdir}
%config(noreplace) %verify(not md5 mtime size) %{pkgconfdir}/*.conf
%dir %{pkgconfdir}/dblatex
%{pkgconfdir}/dblatex/*.sty
%{pkgconfdir}/dblatex/*.xsl
%dir %{pkgconfdir}/docbook-xsl
%{pkgconfdir}/docbook-xsl/*.xsl
%dir %{pkgconfdir}/filters
%dir %{pkgconfdir}/filters/code
%config(noreplace) %verify(not md5 mtime size) %{pkgconfdir}/filters/code/code-filter.conf
%attr(755,root,root) %{pkgconfdir}/filters/code/code-filter.py
%dir %{pkgconfdir}/filters/graphviz
%config(noreplace) %verify(not md5 mtime size) %{pkgconfdir}/filters/graphviz/graphviz-filter.conf
%attr(755,root,root) %{pkgconfdir}/filters/graphviz/graphviz2png.py
%dir %{pkgconfdir}/filters/music
%config(noreplace) %verify(not md5 mtime size) %{pkgconfdir}/filters/music/music-filter.conf
%attr(755,root,root) %{pkgconfdir}/filters/music/music2png.py
%dir %{pkgconfdir}/filters/source
%config(noreplace) %verify(not md5 mtime size) %{pkgconfdir}/filters/source/source-highlight-filter.conf
%dir %{pkgconfdir}/filters/latex
%config(noreplace) %verify(not md5 mtime size) %{pkgconfdir}/filters/latex/latex-filter.conf
%attr(755,root,root) %{pkgconfdir}/filters/latex/latex2img.py
%{pkgconfdir}/images
%{pkgconfdir}/javascripts
%dir %{pkgconfdir}/stylesheets
%{pkgconfdir}/stylesheets/*.css
%{pkgconfdir}/themes
%{_datadir}/%{name}
%{_mandir}/man1/a2x.1*
%{_mandir}/man1/asciidoc.1*
%changelog
* Sun Aug 25 2019 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/asciidoc.git;a=log;h=04c9364ed289863c1a33be8eb9dc1a0237d6c29b

* Sun Apr 22 2018 Jakub Bogusz <qboosh@pld-linux.org> 04c9364
- new URLs, updated to 8.6.10
- use upstream make install

* Sun Dec 27 2015 Jakub Bogusz <qboosh@pld-linux.org> c496920
- more /usr/bin/env python substitutions

* Sun Dec 27 2015 Łukasz Kieś <kiesiu@pld-linux.org> 0a9c06d
- updated to 8.6.9

* Mon Dec 31 2012 Łukasz Kieś <kiesiu@pld-linux.org> a3497f7
- updated to 8.6.8

* Sun Sep 11 2011 Jakub Bogusz <qboosh@pld-linux.org> d4b5b86
- updated to 8.6.6

* Wed May 25 2011 Jakub Bogusz <qboosh@pld-linux.org> 0fa831d
- updated to 8.6.5

* Mon Feb 21 2011 Jakub Bogusz <qboosh@pld-linux.org> 31f8a32
- updated to 8.6.4

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> d62a141
- BR: rpm-pythonprov

* Wed Nov 17 2010 Jakub Bogusz <qboosh@pld-linux.org> 829ac3f
- updated to 8.6.3

* Thu Nov 04 2010 Jakub Bogusz <qboosh@pld-linux.org> 8eb1c8a
- updated to 8.6.2
- removed obsolete safe patch

* Sun Jul 26 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> a60a50f
- up to 8.4.5

* Fri Dec 19 2008 Adam Gołębiowski <adamg@pld-linux.org> 73dee59
- updated to 8.3.1

* Fri Dec 12 2008 radek <radek@pld-linux.org> 481412f
- fix timstamps in spec changelog

* Tue Sep 02 2008 Jakub Bogusz <qboosh@pld-linux.org> 4458430
- added safe patch, works now
- release 2

* Tue Sep 02 2008 Jakub Bogusz <qboosh@pld-linux.org> 531052c
- asciidoc system dir is safe

* Sun Jul 20 2008 Jakub Bogusz <qboosh@pld-linux.org> 8be9b2d
- updated to 8.2.7

* Sun Mar 23 2008 Jakub Bogusz <qboosh@pld-linux.org> 5675ed0
- actually package data
- FHS fix: javascripts and images back to /usr/share;
  let's consider the rest of dirs as potentially containing configuration

* Sun Mar 16 2008 witekfl <witekfl@pld-linux.org> 742e589
- up to 8.2.5
- Source URL points to faster sourceforge
- all files moved to /etc/asciidoc like in the original
- added TODO

* Thu Jul 19 2007 witekfl <witekfl@pld-linux.org> a8206f1
- run sed only on the first line

* Wed Jul 18 2007 witekfl <witekfl@pld-linux.org> d0e0c45
- s|/#!/usr/bin/env python|#!/usr/bin/python|
- rel 3

